import request from '@/utils/request'

// 提交申请
export function handleQuestionnaire(data) {
  return request({
    url: '/rc/questionnaire/handle',
    method: 'put',
    data: data
  })
}

// 提交申请
export function applyQuestionnaire(data) {
  return request({
    url: '/rc/questionnaire/apply',
    method: 'put',
    data: data
  })
}

// 查询问卷列表
export function listQuestionnaire(query) {
  return request({
    url: '/rc/questionnaire/list',
    method: 'get',
    params: query
  })
}

// 查询问卷详细
export function getQuestionnaire(id) {
  return request({
    url: '/rc/questionnaire/' + id,
    method: 'get'
  })
}

// 新增问卷
export function addQuestionnaire(data) {
  return request({
    url: '/rc/questionnaire',
    method: 'post',
    data: data
  })
}

// 修改问卷
export function updateQuestionnaire(data) {
  return request({
    url: '/rc/questionnaire',
    method: 'put',
    data: data
  })
}

// 删除问卷
export function delQuestionnaire(id) {
  return request({
    url: '/rc/questionnaire/' + id,
    method: 'delete'
  })
}
